[Fedora-directory-commits] ldapserver Makefile.in, 1.99, 1.100 config.h.in, 1.22, 1.23 configure, 1.94, 1.95

Noriko Hosoi nhosoi at fedoraproject.org
Thu Oct 23 22:48:04 UTC 2008


Author: nhosoi

Update of /cvs/dirsec/ldapserver
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv11174

Modified Files:
	Makefile.in config.h.in configure 
Log Message:
Resolves: #468248
Summary: LDAPI: when nsslapd-ldapiautodnsuffix doesn't exist - Bind is incorrect
Description:
- introducing --enable-auto-dn-suffix option to configure (disabled by default)
- building the auto-dn-suffix code only when the option is set
======================
autoconf version 2.59
automake version 1.9.6



Index: Makefile.in
===================================================================
RCS file: /cvs/dirsec/ldapserver/Makefile.in,v
retrieving revision 1.99
retrieving revision 1.100
diff -u -r1.99 -r1.100
--- Makefile.in	22 Oct 2008 20:31:50 -0000	1.99
+++ Makefile.in	23 Oct 2008 22:48:01 -0000	1.100
@@ -977,6 +977,8 @@
 debug_defs = @debug_defs@
 defaultgroup = @defaultgroup@
 defaultuser = @defaultuser@
+enable_auto_dn_suffix_FALSE = @enable_auto_dn_suffix_FALSE@
+enable_auto_dn_suffix_TRUE = @enable_auto_dn_suffix_TRUE@
 enable_autobind_FALSE = @enable_autobind_FALSE@
 enable_autobind_TRUE = @enable_autobind_TRUE@
 enable_bitwise_FALSE = @enable_bitwise_FALSE@
@@ -1952,6 +1954,7 @@
 @enable_ldapi_TRUE at GETSOCKETPEER = ldap/servers/slapd/getsocketpeer.c
 @enable_ldapi_TRUE at enable_ldapi = 1
 @enable_autobind_TRUE at enable_autobind = 1
+ at enable_auto_dn_suffix_TRUE@enable_auto_dn_suffix = 1
 ns_slapd_SOURCES = ldap/servers/slapd/abandon.c \
 	ldap/servers/slapd/auth.c \
 	ldap/servers/slapd/bind.c  \
@@ -2047,6 +2050,7 @@
 @BUNDLE_FALSE@	-e 's, at enable_bitwise\@,$(enable_bitwise),g' \
 @BUNDLE_FALSE@	-e 's, at enable_dna\@,$(enable_dna),g' \
 @BUNDLE_FALSE@	-e 's, at enable_autobind\@,$(enable_autobind),g' \
+ at BUNDLE_FALSE@	-e 's, at enable_auto_dn_suffix\@,$(enable_auto_dn_suffix),g' \
 @BUNDLE_FALSE@	-e 's, at ECHO_N\@,$(ECHO_N),g' \
 @BUNDLE_FALSE@	-e 's, at ECHO_C\@,$(ECHO_C),g' \
 @BUNDLE_FALSE@	-e 's, at brand\@,$(brand),g' \
@@ -2106,6 +2110,7 @@
 @BUNDLE_TRUE@	-e 's, at enable_bitwise\@,$(enable_bitwise),g' \
 @BUNDLE_TRUE@	-e 's, at enable_dna\@,$(enable_dna),g' \
 @BUNDLE_TRUE@	-e 's, at enable_autobind\@,$(enable_autobind),g' \
+ at BUNDLE_TRUE@	-e 's, at enable_auto_dn_suffix\@,$(enable_auto_dn_suffix),g' \
 @BUNDLE_TRUE@	-e 's, at ECHO_N\@,$(ECHO_N),g' \
 @BUNDLE_TRUE@	-e 's, at ECHO_C\@,$(ECHO_C),g' \
 @BUNDLE_TRUE@	-e 's, at brand\@,$(brand),g' \


Index: config.h.in
===================================================================
RCS file: /cvs/dirsec/ldapserver/config.h.in,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -r1.22 -r1.23
--- config.h.in	19 Oct 2008 17:12:55 -0000	1.22
+++ config.h.in	23 Oct 2008 22:48:02 -0000	1.23
@@ -15,6 +15,9 @@
 /* enable ldapi auto bind support in the server */
 #undef ENABLE_AUTOBIND
 
+/* enable ldapi auto bind with auto dn suffix support in the server */
+#undef ENABLE_AUTO_DN_SUFFIX
+
 /* enable the bitwise plugin */
 #undef ENABLE_BITWISE
 


Index: configure
===================================================================
RCS file: /cvs/dirsec/ldapserver/configure,v
retrieving revision 1.94
retrieving revision 1.95
diff -u -r1.94 -r1.95
--- configure	22 Oct 2008 20:31:51 -0000	1.94
+++ configure	23 Oct 2008 22:48:02 -0000	1.95
@@ -465,7 +465,7 @@
 #endif"
 
 ac_default_prefix=/opt/$PACKAGE_NAME
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CCAS CCASFLAGS SED EGREP LN_S ECHO AR ac_ct_AR RANLIB a
 c_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS debug_defs BUNDLE_TRUE BUNDLE_FALSE enable_pam_passthru_TRUE enable_pam_passthru_FALSE enable_dna_TRUE enable_dna_FALSE enable_ldapi_TRUE enable_ldapi_FALSE enable_autobind_TRUE enable_autobind_FALSE enable_bitwise_TRUE enable_bitwise_FALSE with_fhs_opt configdir sampledatadir propertydir schemadir serverdir serverplugindir scripttemplatedir perldir infdir mibdir defaultuser defaultgroup instconfigdir WINNT_TRUE WINNT_FALSE LIBSOCKET LIBNSL LIBDL LIBCSTD LIBCRUN initdir perlexec initconfigdir HPUX_TRUE HPUX_FALSE SOLARIS_TRUE SOLARIS_FALSE PKG_CONFIG ICU_CONFIG NETSNMP_CONFIG PACKAGE_BASE_VERSION nspr_inc nspr_lib nspr_libdir nss_inc nss_lib nss_libdir ldapsdk_inc ldapsdk_lib ldapsdk_libdir ldapsdk_bindir db_inc db_incdir db_lib db_libdir db_bindir db_libver sasl_inc sasl_lib sasl_libdir sasl_path svrcore_inc svrcore_lib icu_lib icu_inc icu_bin netsnmp_inc netsnmp_lib netsnmp_libdir netsnmp_link brand capbrand vendo
 r LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CCAS CCASFLAGS SED EGREP LN_S ECHO AR ac_ct_AR RANLIB a
 c_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS debug_defs BUNDLE_TRUE BUNDLE_FALSE enable_pam_passthru_TRUE enable_pam_passthru_FALSE enable_dna_TRUE enable_dna_FALSE enable_ldapi_TRUE enable_ldapi_FALSE enable_autobind_TRUE enable_autobind_FALSE enable_auto_dn_suffix_TRUE enable_auto_dn_suffix_FALSE enable_bitwise_TRUE enable_bitwise_FALSE with_fhs_opt configdir sampledatadir propertydir schemadir serverdir serverplugindir scripttemplatedir perldir infdir mibdir defaultuser defaultgroup instconfigdir WINNT_TRUE WINNT_FALSE LIBSOCKET LIBNSL LIBDL LIBCSTD LIBCRUN initdir perlexec initconfigdir HPUX_TRUE HPUX_FALSE SOLARIS_TRUE SOLARIS_FALSE PKG_CONFIG ICU_CONFIG NETSNMP_CONFIG PACKAGE_BASE_VERSION nspr_inc nspr_lib nspr_libdir nss_inc nss_lib nss_libdir ldapsdk_inc ldapsdk_lib ldapsdk_libdir ldapsdk_bindir db_inc db_incdir db_lib db_libdir db_bindir db_libver sasl_inc sasl_lib sasl_libdir sasl_path svrcore_inc svrcore_lib icu_lib icu_inc icu_bin netsnmp_inc netsn
 mp_lib netsnmp_libdir netsnmp_link brand capbrand vendor LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1056,6 +1056,8 @@
                           (default: yes)
   --enable-autobind       enable auto bind over unix domain socket (LDAPI)
                           support (default: no)
+  --enable-auto-dn-suffix enable auto bind with auto dn suffix over unix
+                          domain socket (LDAPI) support (default: no)
   --enable-bitwise        enable the bitwise matching rule plugin (default:
                           yes)
 
@@ -4331,7 +4333,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4334 "configure"' > conftest.$ac_ext
+  echo '#line 4336 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5466,7 +5468,7 @@
 
 
 # Provide some information about the compiler.
-echo "$as_me:5469:" \
+echo "$as_me:5471:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6529,11 +6531,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6532: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6534: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6536: \$? = $ac_status" >&5
+   echo "$as_me:6538: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6797,11 +6799,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6800: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6802: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6804: \$? = $ac_status" >&5
+   echo "$as_me:6806: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6901,11 +6903,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6904: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6906: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6908: \$? = $ac_status" >&5
+   echo "$as_me:6910: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8370,7 +8372,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 8373 "configure"' > conftest.$ac_ext
+    echo '#line 8375 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9267,7 +9269,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9270 "configure"
+#line 9272 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9367,7 +9369,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9370 "configure"
+#line 9372 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11710,11 +11712,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11713: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11715: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11717: \$? = $ac_status" >&5
+   echo "$as_me:11719: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11814,11 +11816,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11817: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11819: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11821: \$? = $ac_status" >&5
+   echo "$as_me:11823: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12350,7 +12352,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 12353 "configure"' > conftest.$ac_ext
+    echo '#line 12355 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -13408,11 +13410,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13411: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13413: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13415: \$? = $ac_status" >&5
+   echo "$as_me:13417: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13512,11 +13514,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13515: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13517: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13519: \$? = $ac_status" >&5
+   echo "$as_me:13521: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14961,7 +14963,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 14964 "configure"' > conftest.$ac_ext
+    echo '#line 14966 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15739,11 +15741,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15742: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15744: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15746: \$? = $ac_status" >&5
+   echo "$as_me:15748: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16007,11 +16009,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16010: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16012: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16014: \$? = $ac_status" >&5
+   echo "$as_me:16016: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16111,11 +16113,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16114: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16116: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16118: \$? = $ac_status" >&5
+   echo "$as_me:16120: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17580,7 +17582,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17583 "configure"' > conftest.$ac_ext
+    echo '#line 17585 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -23072,6 +23074,39 @@
 fi
 
 
+if test -z "$enable_auto_dn_suffix" ; then
+   enable_auto_dn_suffix=no # if not set on cmdline, set default
+fi
+echo "$as_me:$LINENO: checking for --enable-auto-dn-suffix" >&5
+echo $ECHO_N "checking for --enable-auto-dn-suffix... $ECHO_C" >&6
+# Check whether --enable-autobind or --disable-autobind was given.
+if test "${enable_autobind+set}" = set; then
+  enableval="$enable_autobind"
+
+fi;
+if test "$enable_ldapi" = yes -a "$enable_autobind" = yes -a "$enable_auto_dn_suffix" = "yes"; then
+  echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define ENABLE_AUTO_DN_SUFFIX 1
+_ACEOF
+
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+
+if test "$enable_auto_dn_suffix" = "yes"; then
+  enable_auto_dn_suffix_TRUE=
+  enable_auto_dn_suffix_FALSE='#'
+else
+  enable_auto_dn_suffix_TRUE='#'
+  enable_auto_dn_suffix_FALSE=
+fi
+
+
 if test -z "$enable_bitwise" ; then
    enable_bitwise=yes # if not set on cmdline, set default
 fi
@@ -25524,6 +25559,13 @@
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${enable_auto_dn_suffix_TRUE}" && test -z "${enable_auto_dn_suffix_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"enable_auto_dn_suffix\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"enable_auto_dn_suffix\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${enable_bitwise_TRUE}" && test -z "${enable_bitwise_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"enable_bitwise\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -26167,6 +26209,8 @@
 s, at enable_ldapi_FALSE@,$enable_ldapi_FALSE,;t t
 s, at enable_autobind_TRUE@,$enable_autobind_TRUE,;t t
 s, at enable_autobind_FALSE@,$enable_autobind_FALSE,;t t
+s, at enable_auto_dn_suffix_TRUE@,$enable_auto_dn_suffix_TRUE,;t t
+s, at enable_auto_dn_suffix_FALSE@,$enable_auto_dn_suffix_FALSE,;t t
 s, at enable_bitwise_TRUE@,$enable_bitwise_TRUE,;t t
 s, at enable_bitwise_FALSE@,$enable_bitwise_FALSE,;t t
 s, at with_fhs_opt@,$with_fhs_opt,;t t




More information about the Fedora-directory-commits mailing list